Package com.emc.d2fs.models.preference

# Class D2SVWidgetState

java.lang.Object
com.emc.d2fs.models.preference.D2SVWidgetState

All Implemented Interfaces:
  `Serializable`

public class D2SVWidgetState extends Object implements Serializable

Java class for d2SVWidgetState complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="d2SVWidgetState">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="tableMode" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="pageSize" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="leftPanel" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="showAllVersion" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="showMarkupStatus" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="showWFIcon" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="filter" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `D2SVWidgetState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilter()`
  Gets the value of the filter property.
  `int`
  `getLeftPanel()`
  Gets the value of the leftPanel property.
  `int`
  `getPageSize()`
  Gets the value of the pageSize property.
  `Integer`
  `getShowAllVersion()`
  Gets the value of the showAllVersion property.
  `Integer`
  `getShowMarkupStatus()`
  Gets the value of the showMarkupStatus property.
  `Integer`
  `getShowWFIcon()`
  Gets the value of the showWFIcon property.
  `int`
  `getTableMode()`
  Gets the value of the tableMode property.
  `void`
  `setFilter(String value)`
  Sets the value of the filter property.
  `void`
  `setLeftPanel(int value)`
  Sets the value of the leftPanel property.
  `void`
  `setPageSize(int value)`
  Sets the value of the pageSize property.
  `void`
  `setShowAllVersion(Integer value)`
  Sets the value of the showAllVersion property.
  `void`
  `setShowMarkupStatus(Integer value)`
  Sets the value of the showMarkupStatus property.
  `void`
  `setShowWFIcon(Integer value)`
  Sets the value of the showWFIcon property.
  `void`
  `setTableMode(int value)`
  Sets the value of the tableMode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### D2SVWidgetState

    public D2SVWidgetState()

- ## Method Details

  - ### getTableMode

    public int getTableMode()
    Gets the value of the tableMode property.

  - ### setTableMode

    public void setTableMode(int value)
    Sets the value of the tableMode property.

  - ### getPageSize

    public int getPageSize()
    Gets the value of the pageSize property.

  - ### setPageSize

    public void setPageSize(int value)
    Sets the value of the pageSize property.

  - ### getLeftPanel

    public int getLeftPanel()
    Gets the value of the leftPanel property.

  - ### setLeftPanel

    public void setLeftPanel(int value)
    Sets the value of the leftPanel property.

  - ### getShowAllVersion

    public Integer getShowAllVersion()
    Gets the value of the showAllVersion property.
    Returns:
      possible object is `Integer`

  - ### setShowAllVersion

    public void setShowAllVersion(Integer value)
    Sets the value of the showAllVersion property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getShowMarkupStatus

    public Integer getShowMarkupStatus()
    Gets the value of the showMarkupStatus property.
    Returns:
      possible object is `Integer`

  - ### setShowMarkupStatus

    public void setShowMarkupStatus(Integer value)
    Sets the value of the showMarkupStatus property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getShowWFIcon

    public Integer getShowWFIcon()
    Gets the value of the showWFIcon property.
    Returns:
      possible object is `Integer`

  - ### setShowWFIcon

    public void setShowWFIcon(Integer value)
    Sets the value of the showWFIcon property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getFilter

    public String getFilter()
    Gets the value of the filter property.
    Returns:
      possible object is `String`

  - ### setFilter

    public void setFilter(String value)
    Sets the value of the filter property.
    Parameters:
      `value` - allowed object is `String`